<template>
  <div
    v-if="sirens.length!==0"
    class="container"
  >
    <group-title />
    <group-info />
    <hr>
    <div class="row">
      <div
        class="col-md-12"
        style="padding-left: 0;"
      >
        <click-button
          @click="$router.push({'path':'/groupements/ajouter'})"
        >
          <template slot="content">
            Ajouter un groupement
          </template>
        </click-button>
      </div>
    </div>
    <br>
    <group-table />
  </div>
  <div
    v-else
  >
    Afin de gérer des groupements, vous (ou l'un de vos comptes utilisateur) devez avoir un fichier dsn intégré pour une de vos entreprises.
  </div>
</template>
<script>
import {mapActions, mapGetters} from 'vuex'
import GroupTitle from './../../../components/Title/Group/GroupTitle.vue'
import GroupInfo from './../../../components/Info/GroupInfo.vue'
import ClickButton from "../../../components/Button/ClickButton";
import GroupTable from "./GroupTable";

export default {
  name: 'GroupList',
  components: {
    GroupTable,
    ClickButton,
    GroupTitle,
    GroupInfo,
  },
  data() {
    return {
      editionMode: 0,
      groupAndIndex: null
    }
  },
  computed: {
    ...mapGetters([
      'groups',
      'sirens'
    ])
  },
  created () {
    this.fetchSirensIntegrated().then(()=>{
      this.fetchGroups()
    })
  },
  methods: {
    ...mapActions([
      'fetchSirensIntegrated',
      'fetchGroups'
    ])
  }
}
</script>

<style scoped>
</style>